org.eclipse.jetty.jndi

## Class InitialContextFactory

- java.lang.Object
- - org.eclipse.jetty.jndi.InitialContextFactory

All Implemented Interfaces:
  InitialContextFactory

    public class InitialContextFactory
    extends Object
    implements InitialContextFactory

InitialContextFactory.java Factory for the default InitialContext. Created: Tue Jul 1 19:08:08 2003

Version:
  1.0

### Nested Class Summary

Nested Classes
`static class` `InitialContextFactory.DefaultParser`

### Constructor Summary

Constructors
Constructor and Description
`InitialContextFactory()`

### Method Summary

Methods
`Context` `getInitialContext(Hashtable env)` Get Context that has access to default Namespace.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InitialContextFactory

    public InitialContextFactory()

### Method Detail

#### getInitialContext

    public Context getInitialContext(Hashtable env)

Get Context that has access to default Namespace. This method won't be called if a name URL beginning with java: is passed to an InitialContext.

Specified by:
  `getInitialContext` in interface `InitialContextFactory`
Parameters:
  `env` - a `Hashtable` value
Returns:
  a `Context` value
See Also:
  `javaURLContextFactory`